org.springframework.data.relational.core.query

## Enum CriteriaDefinition.Comparator

- java.lang.Object
- - java.lang.Enum<CriteriaDefinition.Comparator>
  - - org.springframework.data.relational.core.query.CriteriaDefinition.Comparator

All Implemented Interfaces:
  Serializable, Comparable<CriteriaDefinition.Comparator>

Enclosing interface:
  CriteriaDefinition

    public static enum CriteriaDefinition.Comparator
    extends Enum<CriteriaDefinition.Comparator>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BETWEEN`
`EQ`
`GT`
`GTE`
`IN`
`INITIAL`
`IS_FALSE`
`IS_NOT_NULL`
`IS_NULL`
`IS_TRUE`
`LIKE`
`LT`
`LTE`
`NEQ`
`NOT_BETWEEN`
`NOT_IN`
`NOT_LIKE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getComparator()`
`static CriteriaDefinition.Comparator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CriteriaDefinition.Comparator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INITIAL

    public static final CriteriaDefinition.Comparator INITIAL

#### EQ

    public static final CriteriaDefinition.Comparator EQ

#### NEQ

    public static final CriteriaDefinition.Comparator NEQ

#### BETWEEN

    public static final CriteriaDefinition.Comparator BETWEEN

#### NOT_BETWEEN

    public static final CriteriaDefinition.Comparator NOT_BETWEEN

#### LT

    public static final CriteriaDefinition.Comparator LT

#### LTE

    public static final CriteriaDefinition.Comparator LTE

#### GT

    public static final CriteriaDefinition.Comparator GT

#### GTE

    public static final CriteriaDefinition.Comparator GTE

#### IS_NULL

    public static final CriteriaDefinition.Comparator IS_NULL

#### IS_NOT_NULL

    public static final CriteriaDefinition.Comparator IS_NOT_NULL

#### LIKE

    public static final CriteriaDefinition.Comparator LIKE

#### NOT_LIKE

    public static final CriteriaDefinition.Comparator NOT_LIKE

#### NOT_IN

    public static final CriteriaDefinition.Comparator NOT_IN

#### IN

    public static final CriteriaDefinition.Comparator IN

#### IS_TRUE

    public static final CriteriaDefinition.Comparator IS_TRUE

#### IS_FALSE

    public static final CriteriaDefinition.Comparator IS_FALSE

### Method Detail

#### values

    public static CriteriaDefinition.Comparator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CriteriaDefinition.Comparator c : CriteriaDefinition.Comparator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CriteriaDefinition.Comparator valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getComparator

    public String getComparator()